aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-06-15 20:13:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-06-15 20:36:50 +0000
commitf376415dcbaff5f81066983f7c2c5c43f942f4f9 (patch)
tree52895a08ef85845f4d499d582a5d402248a900d0
parent2a73f677313994e1a17c592b8a90e4992253e838 (diff)
downloadaports-f376415dcbaff5f81066983f7c2c5c43f942f4f9.tar.bz2
aports-f376415dcbaff5f81066983f7c2c5c43f942f4f9.tar.xz
testing/perl-gtk2: upgrade to 1.24992
-rw-r--r--testing/perl-gtk2/APKBUILD22
1 files changed, 6 insertions, 16 deletions
diff --git a/testing/perl-gtk2/APKBUILD b/testing/perl-gtk2/APKBUILD
index 55629c7fd0..f4d3ddfa7b 100644
--- a/testing/perl-gtk2/APKBUILD
+++ b/testing/perl-gtk2/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=perl-gtk2
_pkgreal=Gtk2
-pkgver=1.2499
+pkgver=1.24992
pkgrel=0
pkgdesc="Perl module for Gtk2"
url="http://search.cpan.org/dist/Gtk2/"
@@ -16,28 +16,18 @@ makedepends="perl-dev gtk+2.0-dev glib-dev $cpanmakedepends"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/X/XA/XAOC/Gtk2-$pkgver.tar.gz"
-_builddir="$srcdir/$_pkgreal-$pkgver"
-
-prepare() {
- cd "$_builddir"
- if [ -e Build.PL ]; then
- perl Build.PL installdirs=vendor || return 1
- else
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- fi
-}
+builddir="$srcdir/$_pkgreal-$pkgver"
build() {
- cd "$_builddir"
+ cd "$builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
make #&& make test
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="452ccec8d556e3b7d3e9f40897eb9cd5 Gtk2-1.2499.tar.gz"
-sha256sums="fd06ef8ff14ba75574963295e3ad8978cfb2671399a20cf6b62e644ca50335f8 Gtk2-1.2499.tar.gz"
-sha512sums="c365a1fabc73fd420f86cd0d31d5c819335f65a627c64997b99ed509fff7e75fa31c21ab09e393fd6ff7cce9cfd56cb5d6de450edf8d022163948347283f55a5 Gtk2-1.2499.tar.gz"
+sha512sums="a3d0ac22ce0f356f1a73c6b7d27161f76573b64cfde54e76d751ce8318eda9410e57d905e03b2562b8d31b80d3dba2bd4a8a7980a331bd5ca0c6f75e61e4e6f7 Gtk2-1.24992.tar.gz"